Create Brand
POST
/api/v1/brands
const url = 'https://api.ultimateteam.ai/api/v1/brands';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"contact_info":{"phone":"example","reply_to_email":"hello@example.com","support_email":"hello@example.com"},"logo_url":"https://example.com","name":"example","personality":{"formality":5,"industry_focus":"example","tone":"formal","voice_keywords":["example"]},"slug":"example","theme":{"background_color":"#1A1A1A","primary_color":"#C8A951","text_color":"#F5F0EB"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/brands \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "contact_info": { "phone": "example", "reply_to_email": "hello@example.com", "support_email": "hello@example.com" }, "logo_url": "https://example.com", "name": "example", "personality": { "formality": 5, "industry_focus": "example", "tone": "formal", "voice_keywords": [ "example" ] }, "slug": "example", "theme": { "background_color": "#1A1A1A", "primary_color": "#C8A951", "text_color": "#F5F0EB" } }'Create a new brand (feature-gated by plan tier).
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
BrandCreateRequest
Request to create a new brand.
object
contact_info
name
required
Name
string
personality
Any of:
BrandPersonality
Agent persona overrides for a brand.
null
slug
required
Slug
string
theme
Any of:
BrandTheme
Visual theme for a brand (hex color codes only).
object
background_color
Background Color
string
primary_color
Primary Color
string
text_color
Text Color
string
null
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
BrandConfig
Full brand configuration snapshot (read model).
object
contact_info
custom_hostname_status
Custom Hostname Status
string
id
required
Id
string format: uuid
name
required
Name
string
personality
sending_domain_status
Sending Domain Status
string
slug
required
Slug
string
tenant_id
required
Tenant Id
string format: uuid
theme
BrandTheme
Visual theme for a brand (hex color codes only).
object
background_color
Background Color
string
primary_color
Primary Color
string
text_color
Text Color
string
Example
{ "custom_hostname_status": "not_configured", "personality": { "formality": 5, "tone": "formal" }, "sending_domain_status": "not_configured", "theme": { "background_color": "#1A1A1A", "primary_color": "#C8A951", "text_color": "#F5F0EB" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}